rte_flow_action_meter_mark(3)

NAME
rte_flow_action_meter_mark

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_meter_profile * profile
int color_mode
int state

Detailed Description

RTE_FLOW_ACTION_TYPE_METER_MARK

Traffic metering and marking (MTR).

Meters a packet stream and marks its packets either green, yellow, or red according to the specified profile. The policy is optional and may be specified for defining subsequent actions based on a color assigned by MTR. Alternatively, the METER_COLOR item may be used for this.

Definition at line 4157 of file rte_flow.h.

Field Documentation

  struct rte_flow_meter_profile* profile
< Profile config retrieved with rte_mtr_profile_get(). Policy config retrieved with rte_mtr_policy_get().

Definition at line 4160 of file rte_flow.h.

  int color_mode
Metering mode: 0 - Color-Blind, 1 - Color-Aware.

Definition at line 4164 of file rte_flow.h.

  int state
Metering state: 0 - Disabled, 1 - Enabled.

Definition at line 4166 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.